clc; %close all;
warning off;
%% Load the data
load('FreestreamPRessure.mat')

%% Freestream pressure

figure;
ax1 = axes;
hold on;

h1 = plot(t,Pinf,'k-');

xline(0,'r--'); % Flow arrival
xline(50,'b--'); % schlieren images taken at 50 ms

set(ax1,'xlim',[-10 210],'ylim',[500 680],'ytick',[500:30:680],...
    'box','on');
xlabel(ax1,'$t$ (ms)','fontsize',9,'units','normalized','horizontalalignment','center','verticalalignment','top','interpreter','latex')
ylabel(ax1,'$P_{\infty}$ (Pa)','fontsize',9,'rotation',90,'units','normalized','horizontalalignment','center','verticalalignment','bottom','interpreter','latex')

print(fig1,'-dpng','-r600','FreestreamPressure_HyMAX_2deg.png');
